カスタム ドメイン
GET https://uptime4.com/api/domains/
curl --request GET \
--url 'https://uptime4.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | どのフィールドで検索していますか。許可される値は次のとおりです: host. |
| is_enabled | オプション ブール値 | |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime |
| datetime_start | オプション 文字列 | api_documentation.filters.datetime_start |
| datetime_end | オプション 文字列 | api_documentation.filters.datetime_end |
| order_by | オプション 文字列 | 結果を並べ替えるフィールド。許可される値は次のとおりです: domain_id, datetime, last_datetime, host. |
| order_type | オプション 文字列 | 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1 です。 |
| results_per_page | オプション 整数 | ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。 |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-19 11:07:13",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/domains?page=1",
"last": "https://uptime4.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/domains?page=1"
}
}
GET https://uptime4.com/api/domains/{domain_id}
curl --request GET \
--url 'https://uptime4.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-19 11:07:13",
}
}
POST https://uptime4.com/api/domains
| パラメータ | 詳細 | 説明 |
|---|---|---|
| host | 必須 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://uptime4.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://uptime4.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/domains/{domain_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| host | オプション 文字列 | - |
| custom_index_url | オプション 文字列 | - |
| custom_not_found_url | オプション 文字列 | - |
curl --request POST \
--url 'https://uptime4.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://uptime4.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://uptime4.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \